%define upstream_name    Catalyst-View-TT
%define upstream_version 0.44

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Catalyst TT View Class
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst) >= 5.700.0
BuildRequires: perl(Class::Accessor)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Template)
BuildRequires: perl(Template::Timer)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
This is the Catalyst view class for the Template Toolkit. Your application
should defined a view class which is a subclass of this module. The easiest way
to achieve this is using the myapp_create.pl script (where myapp should be
replaced with whatever your application is called). This script is created as
part of the Catalyst setup.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%__make

%check
%__make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/Catalyst
%{_mandir}/*/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.440.0-3.mga6
+ Revision: 1023408
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.440.0-2.mga6
+ Revision: 971305
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.440.0-1.mga6
+ Revision: 891247
- update to 0.44

* Thu Aug 13 2015 sander85 <sander85> 0.430.0-1.mga6
+ Revision: 864295
- update to 0.43

* Sat Jun 20 2015 sander85 <sander85> 0.420.0-1.mga6
+ Revision: 836399
- update to 0.42

* Sun Oct 19 2014 umeabot <umeabot> 0.410.0-6.mga5
+ Revision: 788536
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.410.0-5.mga5
+ Revision: 750261
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.410.0-4.mga5
+ Revision: 732901
- add exclude

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.410.0-2.mga4
+ Revision: 526838
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.410.0-1.mga4
+ Revision: 438884
- update to 0.41

* Sun Jan 13 2013 umeabot <umeabot> 0.390.0-2.mga3
+ Revision: 364156
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.390.0-1.mga3
+ Revision: 254657
- update to 0.39

* Wed Feb 22 2012 kharec <kharec> 0.380.0-1.mga2
+ Revision: 212115
- update to 0.38

  + jquelin <jquelin>
    - update to 0.37

* Wed Jan 26 2011 jquelin <jquelin> 0.360.0-1.mga1
+ Revision: 40328
- mageia rebuild
- imported package perl-Catalyst-View-TT

